#version 100

precision highp float;
precision highp sampler2D;

varying highp vec2 TexCoord;

uniform sampler2D tex1;
uniform sampler2D tex2;
uniform float 	change;

void main(void) 
{
	float alpha1 = (1.0+change)/2.0;
	float alpha2 = 1.0-alpha1;
		
	vec4 color1 = texture2D( tex1, TexCoord )*alpha1;
	vec4 color2 = texture2D( tex2, TexCoord )*alpha2;
	vec4 finalColor = color1 +color2;

	gl_FragColor = finalColor;
}
